Bug 392401 - Incorrect error description for non-existent interfaces in connect(2)
Incorrect error description for non-existent interfaces in connect(2)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks: 409971
  Show dependency treegraph
 
Reported: 2007-11-20 09:23 EST by Adam Stokes
Modified: 2013-04-12 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0587
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-16 09:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct man page (597 bytes, patch)
2007-11-20 09:23 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2007-11-20 09:23:00 EST
Description of problem:
The man page of connect(2) says that,
 "EAGAIN
     No more free local ports or insufficient entries in the routing cache."
 
 However, the present system returns "EADDRNOTAVAIL" at the above-mentioned
 errors.

Version-Release number of selected component (if applicable):
man-pages-2.39-11

How reproducible:
Always

Steps to Reproduce:
1. man 2 connect
  
Actual results:
Describes EAGAIN

Expected results:
Should describe EADDRNOTAVAIL

Additional info:
Comment 1 Adam Stokes 2007-11-20 09:23:01 EST
Created attachment 264921 [details]
patch to correct man page
Comment 2 Issue Tracker 2007-12-03 08:27:39 EST
Sorry I don't have permission to set that flag. Ill forward this note up
to engineering.

Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by astokes 
 issue 133170
Comment 8 errata-xmlrpc 2008-07-16 09:37:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0587.html

Note You need to log in before you can comment on or make changes to this bug.